org.apache.ignite.internal.processors.cache

## Class GridCacheUpdateAtomicResult<K,V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheUpdateAtomicResult<K,V>

    public class GridCacheUpdateAtomicResult<K,V>
    extends Object

Cache entry atomic update result.

### Constructor Summary

Constructors
Constructor and Description
`GridCacheUpdateAtomicResult(boolean success, V oldVal, V newVal, javax.cache.processor.EntryProcessorResult<?> res, long newTtl, long drExpireTime, GridCacheVersion rmvVer, GridCacheVersionConflictContext<K,V> drRes, boolean sndToDht)` Constructor.

### Method Summary

Methods
`javax.cache.processor.EntryProcessorResult<?>` `computedResult()`
`long` `drExpireTime()`
`GridCacheVersionConflictContext<K,V>` `drResolveResult()`
`long` `newTtl()`
`V` `newValue()`
`V` `oldValue()`
`GridCacheVersion` `removeVersion()`
`boolean` `sendToDht()`
`boolean` `success()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### GridCacheUpdateAtomicResult

    public GridCacheUpdateAtomicResult(boolean success,
                               @Nullable
                               V oldVal,
                               @Nullable
                               V newVal,
                               @Nullable
                               javax.cache.processor.EntryProcessorResult<?> res,
                               long newTtl,
                               long drExpireTime,
                               @Nullable
                               GridCacheVersion rmvVer,
                               @Nullable
                               GridCacheVersionConflictContext<K,V> drRes,
                               boolean sndToDht)

Constructor.

Parameters:
  `success` - Success flag.
  `oldVal` - Old value.
  `newVal` - New value.
  `res` - Value computed by the `EntryProcessor`.
  `newTtl` - New TTL.
  `drExpireTime` - Explicit DR expire time (if any).
  `rmvVer` - Version for deferred delete.
  `drRes` - DR resolution result.
  `sndToDht` - Whether update should be propagated to DHT node.

### Method Detail

#### computedResult

    @Nullable
    public javax.cache.processor.EntryProcessorResult<?> computedResult()

Returns:
  Value computed by the `EntryProcessor`.

#### success

    public boolean success()

Returns:
  Success flag.

#### oldValue

    @Nullable
    public V oldValue()

Returns:
  Old value.

#### newValue

    @Nullable
    public V newValue()

Returns:
  New value.

#### newTtl

    public long newTtl()

Returns:
  `-1` if TTL did not change, otherwise new TTL.

#### drExpireTime

    public long drExpireTime()

Returns:
  Explicit DR expire time (if any).

#### removeVersion

    @Nullable
    public GridCacheVersion removeVersion()

Returns:
  Version for deferred delete.

#### drResolveResult

    @Nullable
    public GridCacheVersionConflictContext<K,V> drResolveResult()

Returns:
  DR conflict resolution context.

#### sendToDht

    public boolean sendToDht()

Returns:
  Whether update should be propagated to DHT node.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015